Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Friends | List of all members
BulletContact Struct Reference

## Public Member Functions
| BulletContact (const BulletContact &other)
int | get_idx0 () const
int | get_idx1 () const
BulletManifoldPoint & | get_manifold_point ()
PandaNode * | get_node0 () const
PandaNode * | get_node1 () const
int | get_part_id0 () const
int | get_part_id1 () const

## Public Attributes
| get_idx0
| get_idx1
| get_manifold_point
| get_node0
| get_node1
| get_part_id0
| get_part_id1

## Friends
struct | BulletContactResult

## Detailed Description

Definition at line 27 of file bulletContactResult.h.

## Constructor & Destructor Documentation

## ◆ BulletContact() [1/2]

BulletContact::BulletContact | ( |  | ) |

Definition at line 22 of file bulletContactResult.cxx.

## ◆ BulletContact() [2/2]

BulletContact::BulletContact | ( | const BulletContact & | other | ) |

Definition at line 32 of file bulletContactResult.cxx.

## Friends And Related Symbol Documentation

## ◆ BulletContactResult

friend struct BulletContactResult
| friend

Definition at line 63 of file bulletContactResult.h.

## Member Data Documentation

## ◆ get_idx0

int BulletContact::get_idx0
| inline

Definition at line 45 of file bulletContactResult.h.

## ◆ get_idx1

int BulletContact::get_idx1
| inline

Definition at line 46 of file bulletContactResult.h.

## ◆ get_manifold_point

BulletManifoldPoint & BulletContact::get_manifold_point
| inline

Definition at line 42 of file bulletContactResult.h.

## ◆ get_node0

PandaNode * BulletContact::get_node0
| inline

Definition at line 43 of file bulletContactResult.h.

## ◆ get_node1

PandaNode * BulletContact::get_node1
| inline

Definition at line 44 of file bulletContactResult.h.

## ◆ get_part_id0

int BulletContact::get_part_id0
| inline

Definition at line 47 of file bulletContactResult.h.

## ◆ get_part_id1

int BulletContact::get_part_id1
| inline

Definition at line 48 of file bulletContactResult.h.

The documentation for this struct was generated from the following files:

- panda/src/bullet/bulletContactResult.h
- panda/src/bullet/bulletContactResult.cxx
- panda/src/bullet/bulletContactResult.I